# Class ExtractResolveMethodMixin

#### Hierarchy (view full)

- ExtractFormDefinitionMixin
- ExtractMethodMixin
- ExtractControlMixin
  - ExtractResolveMethodMixin

- Defined in packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts:32
- Defined in packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts:37

#####
Index

### Constructors

constructor

### Properties

control?
injector
matFormField?
ngControl

### Methods

extractControl
extractFormDefinition
extractMethod
extractMethods
extractResolveMethod

## Constructors

### constructor

- new ExtractResolveMethodMixin(): ExtractResolveMethodMixin

- #### Returns ExtractResolveMethodMixin

  Inherited from ExtractControlMixin.constructor

## Properties

### `Protected` `Optional` control

control?: RxapFormControl<any, any, any>

Inherited from ExtractControlMixin.control

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:14

### `Protected` injector

injector: Injector

Inherited from ExtractMethodMixin.injector

- Defined in packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:14

### `Protected` `Optional` matFormField

matFormField?: null | MatFormField

Inherited from ExtractControlMixin.matFormField

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:12

### `Protected` ngControl

ngControl: null | NgControl | AbstractControlDirective

Inherited from ExtractControlMixin.ngControl

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:10

## Methods

### `Protected` extractControl

- extractControl(ngControl?): RxapFormControl<any, any, any>

- #### Parameters

  - ngControl: null | NgControl | AbstractControlDirective = ...

  #### Returns RxapFormControl<any, any, any>

  Inherited from ExtractControlMixin.extractControl

  - Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:16

### `Protected` extractFormDefinition

- extractFormDefinition(control): FormDefinition<any, any, any>

- #### Parameters

  - control: AbstractControl<any>

  #### Returns FormDefinition<any, any, any>

  Inherited from ExtractFormDefinitionMixin.extractFormDefinition

  - Defined in packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10

### extractMethod

- extractMethod(formDefinition, controlId, name): Method<any, any>

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>
  - controlId: string
  - name: string

  #### Returns Method<any, any>

  Inherited from ExtractMethodMixin.extractMethod

  - Defined in packages/angular/form-system/src/lib/mixins/extract-method.mixin.ts:16

### `Protected` extractMethods

- extractMethods(formDefinition, controlId): Map<string, UseMethodDefinition<unknown, unknown, UseMethodConfig<unknown, unknown, any, any>>>

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>
  - controlId: string

  #### Returns Map<string, UseMethodDefinition<unknown, unknown, UseMethodConfig<unknown, unknown, any, any>>>

  Inherited from ExtractMethodMixin.extractMethods

  - Defined in packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:43

### `Protected` extractResolveMethod

- extractResolveMethod(control?, formDefinition?): Method<any, any>

- #### Parameters

  - control: RxapFormControl<any, any, any> = ...
  - formDefinition: FormDefinition<any, any, any> = ...

  #### Returns Method<any, any>

  - Defined in packages/angular/form-system/src/lib/mixins/extract-resolve-method.mixin.ts:39